Skip to main content
POST
Error

Authorizations

x-cdata-authtoken
string
header
required

A Sync user auth token. Generate one via POST /v2/users/generate-token.

Path Parameters

vault_id
string
required

Body

application/json
item_key
string
required

Unique key within the owning vault. Cannot contain '/', '{', '}', or leading/trailing whitespace.

value
string
required

Secret value.

item_type
enum<string>

Defaults to STANDARD.

Available options:
STANDARD,
ENCRYPTED
labels
string[]

Response

The created vault item.

id
string
vault_id
string
item_key
string
item_type
enum<string>

STANDARD is plaintext; ENCRYPTED is protected.

Available options:
STANDARD,
ENCRYPTED
value
string

Returned for STANDARD items; masked for ENCRYPTED items.

labels
string[]
created_at
string<date-time>
updated_at
string<date-time>